Tp::Channel::GroupMemberChangeDetails Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Channel::GroupMemberChangeDetails Class Reference
Channel proxies

The Channel::GroupMemberChangeDetails class represents the details of a group membership change. More...

`#include <TelepathyQt/Channel>`

## Public Member Functions
| GroupMemberChangeDetails ()
| GroupMemberChangeDetails (const GroupMemberChangeDetails &other)
| ~GroupMemberChangeDetails ()
GroupMemberChangeDetails & | operator= (const GroupMemberChangeDetails &other)
bool | isValid () const
bool | hasActor () const
ContactPtr | actor () const
bool | hasReason () const
ChannelGroupChangeReason | reason () const
bool | hasMessage () const
QString | message () const
bool | hasError () const
QString | error () const
bool | hasDebugMessage () const
QString | debugMessage () const
QVariantMap | allDetails () const

## Detailed Description

The Channel::GroupMemberChangeDetails class represents the details of a group membership change.

Extended information is not always available; this will be reflected by the return value of isValid().

## Constructor & Destructor Documentation

Tp::Channel::GroupMemberChangeDetails::GroupMemberChangeDetails | ( |  | ) |

Constructs a new invalid GroupMemberChangeDetails instance.

Tp::Channel::GroupMemberChangeDetails::GroupMemberChangeDetails | ( | const GroupMemberChangeDetails & | other | ) |

Copy constructor.

Tp::Channel::GroupMemberChangeDetails::~GroupMemberChangeDetails | ( |  | ) |

Class destructor.

## Member Function Documentation

Channel::GroupMemberChangeDetails & Tp::Channel::GroupMemberChangeDetails::operator= | ( | const GroupMemberChangeDetails & | other | ) |

Assigns all information (validity, details) from other to this.

bool Tp::Channel::GroupMemberChangeDetails::isValid | ( |  | ) | const
| inline

Return whether the details are valid (have actually been received from the service).

Returns
  `true` if valid, `false` otherwise.

bool Tp::Channel::GroupMemberChangeDetails::hasActor | ( |  | ) | const

Return whether the details specify an actor.

If present, actor() will return the contact object representing the person who made the change.

Returns
  `true` if the actor is known, `false` otherwise.

See Also
  actor()

ContactPtr Tp::Channel::GroupMemberChangeDetails::actor | ( |  | ) | const

Return the contact object representing the person who made the change (actor), if known.

Returns
  A pointer to the Contact object, or a null ContactPtr if the actor is unknown.

See Also
  hasActor()

bool Tp::Channel::GroupMemberChangeDetails::hasReason | ( |  | ) | const
| inline

Return whether the details specify the reason for the change.

Returns
  `true` if the reason is known, `false` otherwise.

See Also
  reason()

ChannelGroupChangeReason Tp::Channel::GroupMemberChangeDetails::reason | ( |  | ) | const
| inline

Return the reason for the change, if known.

Returns
  The change reason as ChannelGroupChangeReason, or ChannelGroupChangeReasonNone if the reason is unknown.

See Also
  hasReason()

bool Tp::Channel::GroupMemberChangeDetails::hasMessage | ( |  | ) | const
| inline

Return whether the details specify a human-readable message from the contact represented by actor() pertaining to the change.

Returns
  `true` if the message is known, `false` otherwise.

See Also
  message()

QString Tp::Channel::GroupMemberChangeDetails::message | ( |  | ) | const
| inline

Return a human-readable message from the contact represented by actor() pertaining to the change, if known.

Returns
  The message, or an empty string if the message is unknown.

See Also
  hasMessage()

bool Tp::Channel::GroupMemberChangeDetails::hasError | ( |  | ) | const
| inline

Return whether the details specify a D-Bus error describing the change.

Returns
  `true` if the error is known, `false` otherwise.

See Also
  error()

QString Tp::Channel::GroupMemberChangeDetails::error | ( |  | ) | const
| inline

Return the D-Bus error describing the change, if known.

The D-Bus error provides more specific information than the reason() and should be used if applicable.

Returns
  A D-Bus error describing the change, or an empty string if the error is unknown.

See Also
  hasError()

bool Tp::Channel::GroupMemberChangeDetails::hasDebugMessage | ( |  | ) | const
| inline

Return whether the details specify a debug message.

Returns
  `true` if debug message is present, `false` otherwise.

See Also
  debugMessage()

QString Tp::Channel::GroupMemberChangeDetails::debugMessage | ( |  | ) | const
| inline

Return the debug message specified by the details, if any.

The debug message is purely informational, offered for display for bug reporting purposes, and should not be attempted to be parsed.

Returns
  The debug message, or an empty string if there is none.

See Also
  hasDebugMessage()

QVariantMap Tp::Channel::GroupMemberChangeDetails::allDetails | ( |  | ) | const

Return a map containing all details of the group members change.

This is useful for accessing domain-specific additional details.

Returns
  The details of the group members change as QVariantMap.